import request from '@/config/axios'

export const queryUsers = params => request.get({ url: '/user/queryUsers', params }) // 查询用户
export const addUser = data => request.post({ url: '/user/addUser', data }) // 新增用户
export const updateUser = data => request.post({ url: '/user/updateUser', data }) //修改用户
export const setStatus = params => request.post({ url: '/user/setStatus', params }) //设置有效状态
export const deleteUserById = id => request.post({ url: '/user/deleteUserById?id=' + id }) //删除
export const deleteUserByIds = id => request.post({ url: '/user/deleteUserByIds?ids=' + id }) //删除
export const resetPassword = id => request.post({ url: '/user/resetPassword?id=' + id }) //重置密码
export const userLogin = params => request.post({ url: '/user/login', params }) //登录